> For the complete documentation index, see [llms.txt](https://docs.arway.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.arway.ai/arway-sdk/sample-scenes/ar-map-session.md).

# AR Map Session

This scene is used for Localization, post localization the contents of the scene are initiated at their desired location. Contents in Map are placed relative to the Map Origin. This scene has also examples of Location Pins and Tours.

{% hint style="info" %}
This Scene requires Location (Precise) and Camera permission for its work.
{% endhint %}

## Interact with AR Contents of a Map

ARMapController is the script that handles the loading of Map contents in AR, each content is initiated as [Unity Gameobject](https://docs.unity3d.com/ScriptReference/GameObject.html), developers can use this script to customize the behavior of Content like its visibility, adding more interaction, custom logic, etc.

**Content Types:**

1. Text
2. Images
3. 3D models
4. Audio files
5. Location pins
6. Guided tours
7. Hostpots

### Code example for content visiting using content properties

Using the ID property of content to enable visibility

{% code overflow="wrap" lineNumbers="true" %}

```csharp
#region TextContent
foreach (Text3D text in arContent.texts)
{
    if (text.id == "text_60954")
    {
        ContentStorageManager.Instance.LoadTextData(text);
    }
    if (text.id == "text_92055")
    {
        ContentStorageManager.Instance.LoadTextData(text);
    }
}
#endregion
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.arway.ai/arway-sdk/sample-scenes/ar-map-session.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
